## emwin 0.92-3

=== Makefile ===
#
# Makefile for NWS EMWIN Data stream processing software
#
# (should look familiar to anyone who's looked at the Linux Makefile)
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).

all:    do-it-all

#
# Make "config" the default target if there is no configuration file or
# "depend" the target if there is no top-level dependency information.
#
ifeq (.config,$(wildcard .config))
include .config
ifeq (.depend,$(wildcard .depend))
include .depend
do-it-all:      serport.o emwinser utf2ps sattopgm emwinmcr
	@echo If you have latex and dvips, type \"make docs\"
else
CONFIGURATION = depend
do-it-all:      version.h depend
endif
else
CONFIGURATION = config
do-it-all:      version config
endif

config:
	@echo Making .config file...
	@echo `uname`=`uname -r` > .config
	@echo COMPILEHOST=`uname -n` >> .config

version: dummy
	rm -f version.h
 
version.h: Makefile
	@echo \#define COMPILATION_TIME \"`date`\" > version.h
	@echo \#define COMPILATION_HOST \"`uname -a`\" >> version.h
	@echo \#define COMPILATION_USER \"`whoami`\" >> version.h
	@echo \#define COMPILATION_TYPE \"$(CC) $(CFLAGS)\" >> version.h

OBJS	=  emwin.o utf.o sattopgm.o serport.o emwinmcr.o
SRCS	=  emwin.c utf.c sattopgm.c serport.c emwinmcr.c
BINDIR	=  /usr/bin
SBINDIR	=  /usr/sbin
DOCDIR	=  /usr/share/doc/emwin
INFODIR	=  /usr/info
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

ifdef SunOS
CFLAGS=-Wall -O6 -msupersparc
XINCLUDES=-I/usr/openwin/include
XLIBS=-lXaw3d -lXt -lXmu -lX11
RANLIB=echo
endif

ifdef Linux
#ENDIAN=-DLITTLE_ENDIAN
XINCLUDES=-I/usr/X11R6/include
XLIBS=-L/usr/X11R6/lib -lXaw -lXt -lXmu -lX11
CFLAGS=-Wall
endif

#libwxp.a: $(OBJS) 
#	$(AR) $(ARFLAGS) $@ $(OBJS) 
#	$(RANLIB) $@

docs: h5v6p2.ps

emwinser: version.h
	$(CC) $(CFLAGS) -o emwinser emwin.c serport.o

utf: utf.c version.h
	$(CC) -DSTANDALONE $(CFLAGS) -o utf utf.c

utf2ps: utf2ps.c version.h
	$(CC) $(CFLAGS) -o utf2ps utf2ps.c

xutf: utf.c xutf.c version.h
	$(CC) $(CFLAGS) $(XINCLUDES) -o xutf xutf.c utf.c $(XLIBS)

sattopgm: sattopgm.c
	$(CC) $(CFLAGS) -o sattopgm sattopgm.c

emwinmcr: emwinmcr.c
	$(CC) $(CFLAGS) -o emwinmcr emwinmcr.c

serport.o: serport.c
	$(CC) $(CFLAGS) -c serport.c

serport: serport.c
	$(CC) $(CFLAGS) -DSTANDALONE -o serport serport.c

h5v6p2.ps: h5v6p2.tex
	latex h5v6p2.tex
	latex h5v6p2.tex
	dvips -o h5v6p2.ps h5v6p2.dvi

installdirs:
	mkdirhier $(DESTDIR)/$(BINDIR)
	mkdirhier $(DESTDIR)/$(SBINDIR)
	mkdirhier $(DESTDIR)/$(DOCDIR)
#	mkdirhier $(DESTDIR)/$(INFODIR)

install: installdirs emwinmcr emwinser utf2ps sattopgm docs
	$(INSTALL_PROGRAM) emwinser $(DESTDIR)/$(SBINDIR)/emwinser
	$(INSTALL_PROGRAM) emwinmcr $(DESTDIR)/$(SBINDIR)/emwinmcr
	$(INSTALL_PROGRAM) utf2ps $(DESTDIR)/$(BINDIR)/utf2ps
	$(INSTALL_PROGRAM) sattopgm $(DESTDIR)/$(BINDIR)/sattopgm
	$(INSTALL_DATA) README $(DESTDIR)/usr/share/doc/emwin/README
	$(INSTALL_DATA) README.Debian $(DESTDIR)/usr/share/doc/emwin/README.Debian
	$(INSTALL_DATA) README.mcast $(DESTDIR)/usr/share/doc/emwin/README.mcast
	$(INSTALL_DATA) h5v6p2.ps $(DESTDIR)/usr/share/doc/emwin/h5v6p2.ps
	$(INSTALL_DATA) h5v6p2.tex $(DESTDIR)/usr/share/doc/emwin/h5v6p2.tex
	$(INSTALL_DATA) AUTHORS $(DESTDIR)/usr/share/doc/emwin/AUTHORS
	$(INSTALL_DATA) TODO $(DESTDIR)/usr/share/doc/emwin/TODO
	$(INSTALL_DATA) THANKS $(DESTDIR)/usr/share/doc/emwin/THANKS

depend:
	echo Makeing .depend file...
	$(CPP) $(CFLAGS) -M $(SRCS) > .depend

dummy:

dataclean:
	rm -f *.TXT.*
	rm -f *.NWS.*
	rm -f *.CC1.*
	rm -f *.ZAP.*
	rm -f GPH*
	rm -f *.plot

clean: dataclean
	rm -f emwinser emwinmcr utf utf2ps xutf sattopgm version.h
	rm -f core
	rm -f *.ps
	rm -f *.dvi
	rm -f *.aux
	rm -f *.log
	rm -f *.o
	rm -f *.a
	rm -f *~

reallyclean: clean
	rm -f .config* .dep*

backup: reallyclean
	cd .. && tar cf - 163.35 | gzip -9 > 163.35.tar.gz

=== debian/changelog ===
emwin (0.92-3) frozen unstable; urgency=medium

  * Don't bother dpkg if daemon doesn't start, closes #60773

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 24 Mar 2000 23:14:54 -0500

emwin (0.92-2) frozen unstable; urgency=HIGH

  * Update of emwinmcr (multicast receiver) Y2K OK
  * This needs to be in frozen, 0.91 and below won't receive current multicast stream

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 2 Feb 2000 20:46:17 -0500

emwin (0.92-1) unstable; urgency=low

  * Update of emwinmcr (multicast receiver) Y2K OK

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 2 Feb 2000 20:46:17 -0500

emwin (0.91-1) unstable; urgency=low

  * Incorporate NMU fixes
  * Update of emwinmcr (multicast receiver)
  * Make emwinser (serial port receiver) work the same way
  * Add init.d/emwin

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Oct 1999 22:50:04 -0400

+emwin (0.9-1.1) unstable; urgency=low

  * NMU for rc bugs
  * closes: #48332

 -- Sean E. Perry <shaleh@debian.org>  Tue, 26 Oct 1999 23:33:47 -0700

emwin (0.9-1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 26 Apr 1999 13:37:43 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: emwin
Section: misc
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Standards-Version: 2.5.0.0

Package: emwin
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: emwin-doc
Description: Weather Data processing
 The emwin package contains utilities for handling the data stream used in 
 the Emergency Managers Weather Information Network. This data stream is
 carried over satellite and VHF and UHF radio transmitters, and also
 via multicast IP over the MBone.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE)
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) reallyclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

#	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
#binary-indep: build install
#	dh_testversion
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installemacsen -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
#	dh_undocumented
#	dh_installchangelogs -i 
#	dh_link -i
#	dh_compress -i
#	dh_fixperms -i
#	dh_suidregister -i
	# You may want to make some executables suid here
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installemacsen -a
	dh_installinit
	dh_installcron -a
	dh_installmanpages -a
#	dh_undocumented
	dh_installchangelogs -a 
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	# You may want to make some executables suid here
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## emwin 0.93-6

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include .config
 ifeq (.depend,$(wildcard .depend))
 include .depend
-do-it-all:      serport.o emwinser utf2ps sattopgm emwinmcr
+do-it-all:      serport.o emwinser utf2ps sattopgm emwinmcr emwinmcs
 	@echo If you have latex and dvips, type \"make docs\"
 else
 CONFIGURATION = depend
@@ -42,8 +42,8 @@
 	@echo \#define COMPILATION_USER \"`whoami`\" >> version.h
 	@echo \#define COMPILATION_TYPE \"$(CC) $(CFLAGS)\" >> version.h
 
-OBJS	=  emwin.o utf.o sattopgm.o serport.o emwinmcr.o
-SRCS	=  emwin.c utf.c sattopgm.c serport.c emwinmcr.c
+OBJS	=  emwin.o utf.o sattopgm.o serport.o emwinmcr.o emwinmcs.o
+SRCS	=  emwin.c utf.c sattopgm.c serport.c emwinmcr.c emwinmcs.c
 BINDIR	=  /usr/bin
 SBINDIR	=  /usr/sbin
 DOCDIR	=  /usr/share/doc/emwin
@@ -72,9 +72,6 @@
 
 docs: h5v6p2.ps
 
-emwinser: version.h
-	$(CC) $(CFLAGS) -o emwinser emwin.c serport.o
-
 utf: utf.c version.h
 	$(CC) -DSTANDALONE $(CFLAGS) -o utf utf.c
 
@@ -90,11 +87,17 @@
 emwinmcr: emwinmcr.c
 	$(CC) $(CFLAGS) -o emwinmcr emwinmcr.c
 
+emwinmcs: emwinmcs.c serport.o
+	$(CC) $(CFLAGS) -o emwinmcs emwinmcs.c serport.o
+
 serport.o: serport.c
 	$(CC) $(CFLAGS) -c serport.c
 
 serport: serport.c
 	$(CC) $(CFLAGS) -DSTANDALONE -o serport serport.c
+
+emwinser: version.h serport.o
+	$(CC) $(CFLAGS) -o emwinser emwinser.c serport.o
 
 h5v6p2.ps: h5v6p2.tex
 	latex h5v6p2.tex
@@ -102,14 +105,15 @@
 	dvips -o h5v6p2.ps h5v6p2.dvi
 
 installdirs:
-	mkdirhier $(DESTDIR)/$(BINDIR)
-	mkdirhier $(DESTDIR)/$(SBINDIR)
-	mkdirhier $(DESTDIR)/$(DOCDIR)
-#	mkdirhier $(DESTDIR)/$(INFODIR)
+	mkdir -p $(DESTDIR)/$(BINDIR)
+	mkdir -p $(DESTDIR)/$(SBINDIR)
+	mkdir -p $(DESTDIR)/$(DOCDIR)
+#	mkdir -p $(DESTDIR)/$(INFODIR)
 
 install: installdirs emwinmcr emwinser utf2ps sattopgm docs
 	$(INSTALL_PROGRAM) emwinser $(DESTDIR)/$(SBINDIR)/emwinser
 	$(INSTALL_PROGRAM) emwinmcr $(DESTDIR)/$(SBINDIR)/emwinmcr
+	$(INSTALL_PROGRAM) emwinmcs $(DESTDIR)/$(SBINDIR)/emwinmcs
 	$(INSTALL_PROGRAM) utf2ps $(DESTDIR)/$(BINDIR)/utf2ps
 	$(INSTALL_PROGRAM) sattopgm $(DESTDIR)/$(BINDIR)/sattopgm
 	$(INSTALL_DATA) README $(DESTDIR)/usr/share/doc/emwin/README
@@ -136,7 +140,7 @@
 	rm -f *.plot
 
 clean: dataclean
-	rm -f emwinser emwinmcr utf utf2ps xutf sattopgm version.h
+	rm -f emwinser emwinmcr emwinmcs utf utf2ps xutf sattopgm version.h
 	rm -f core
 	rm -f *.ps
 	rm -f *.dvi

=== debian/changelog ===
emwin (0.93-6) unstable; urgency=low

  * Document /etc/init.d/emwin as conffile, closes: #84984
  * Fix man page references, closes #99529

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 28 Aug 2001 22:02:38 -0400

emwin (0.93-5) unstable; urgency=low

  * Use mkdir -p instead of mkdirhier to avoid dependency upon xutils
  * That will close Bug#87224

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2001 22:18:10 -0500

emwin (0.93-4) unstable; urgency=low

  * Update packaging correctly, 0.93-3 was bad.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 30 Jan 2001 19:15:19 -0400

emwin (0.93-3) unstable; urgency=low

  * Update packaging, closes #70310

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 30 Jan 2001 19:13:17 -0400

emwin (0.93-2) unstable; urgency=low

  * Once again takes input data from stdin (emwinser and emwinmcs)
  * New -w option for compatibility testing

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Oct 2000 22:17:46 -0400

emwin (0.93-1) unstable; urgency=low

  * Update serial port support
  * Add multicast send capability (emwinmcs)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Sep 2000 21:21:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Standards-Version: 2.5.0.0
+Build-depends: debhelper, tetex-bin
+Standards-Version: 3.2.1.0
 
 Package: emwin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	$(MAKE)
 	$(MAKE)
 	$(MAKE)
+	$(MAKE) docs
 
 	touch build-stamp
